Subject: Re: telnetd revisited
From: [email-masked] (Kees van Veen)

24 Nov 1997 18:53:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Ian Collins <[email-masked]>
Cc: [email-masked]

Ian Collins wrote:

> I have installed inetd ok, and it seems to work (I have tested by
> sending messages to the echo port).
> When I telnet to my PC, I get the login and password which are both
> accepted OK, but then I get the
> 
> login: no shell: /bin/sh: Not owner
> 
> message.
> 
> I have set the relevant user rights as suggested: i.e, "Act as Part of
> OS" and "Increase Quotas" (The "Assign Primary Token" is a tricky one,
> as I don't see it. However I do see a "Create Primary Token", which I
> have set for my user. I am running NT4 with SP3 by the way).
> I have debugged the login program, and the failure is on the sexeclp
> line.

I had the same problem, but it disappeared after setting the user rights
correctly.
I'm running the dutch version of NT4 SP3 and I see one of the rights
corresponding to
something like 'Assign Primary Token' under the 'Advanced User rights'.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".